// common api functions

module.exports.success = function(res, data) {
	if (data) {
		res.send(data);
	} else {
		res.send('Success');
	}
};

module.exports.error = function(res, errorText) {
	res.send(
			{
				status: {
					type: 'error',
					text: errorText
				}
			}
	, 400);
};

module.exports.parseJSONArray = function(jsonString) {
	var parsedObject = JSON.parse(jsonString);
	if ((typeof parsedObject) == 'object' && parsedObject.length) {
		return parsedObject;
	} else {
		throw new Error('JSON string is not an array');
	}
};
