// Db utils

var Db = require('mongodb').Db,
    Connection = require('mongodb').Connection,
    Server = require('mongodb').Server,
    BSON = require('mongodb').BSONNative;
	
var HOST = process.env['MONGO_NODE_DRIVER_HOST'] != null ? process.env['MONGO_NODE_DRIVER_HOST'] : 'localhost',
	PORT = process.env['MONGO_NODE_DRIVER_PORT'] != null ? process.env['MONGO_NODE_DRIVER_PORT'] : Connection.DEFAULT_PORT;

// start and keep a database connection
module.exports.getDb = function() {
        if (!exports.serverConnection) {
			var database = global.modlr.database;
			console.log("Connecting to database (" + database + ") , " + HOST + ":" + PORT);
			
			exports.serverConnection = new Db(database, new Server(HOST, PORT, {}), {native_parser:true});
			exports.serverConnection.open(function (err, db) {
					if (err) {
							console.log(err);
					}
			});
        }
        return module.exports.serverConnection;
};
