var Modlr = require('../../../index'),
        BaseModel = Modlr.BaseModel,
        BaseClass = Modlr.BaseClass,
		CommentClass = require('./comment');

var COLLECTION = 'blogs';

var Blog = BaseModel({
	collection: COLLECTION,
	defaults: {
		name: '',
		content: ''
	},
	relationships: [
		{
			primaryAttr: 'comments',
			secondaryAttr: 'blogId',
			type: 'parental',
			secondaryClass: CommentClass
		}
	]
});

module.exports = BaseClass({
	collection: COLLECTION,
	model: Blog
});
