// unique. Any class calling this will get an id attribute that is unique 
// to the table in the db that they belong to

var Md5 = require('../hashes').Md5;

module.exports = function(idCollection) {
	var idValue = 1;
	var idHash;
	
	// 1. increment the idValue
	// 2. Md5 the value
	// 3. assign that to idHash
	// 4. check if id already exists
	// 5. If it does, go back to step 1
	while (idCollection[(idHash = (''+ Md5('' + idValue++)).substring(0, 9))]) {
		if (idValue == 10000) {
			console.log('Warning: 10,000 unique ids checked....');
		}
	}
	
	return idHash;
};
